#!/bin/sh
echo 'name: test-framework
version: 0.5
id: test-framework-0.5-19b7a21efcd3038a4db80bcaf551421f

license: BSD3
copyright:
maintainer: Max Bolingbroke <batterseapower@hotmail.com>
stability:
homepage: http://batterseapower.github.com/test-framework/
package-url:
description: Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
             parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
             command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
exposed-modules: Test.Framework Test.Framework.Options
                 Test.Framework.Providers.API Test.Framework.Runners.Console
                 Test.Framework.Runners.Options Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics
                Test.Framework.Runners.TestPattern
                Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/test-framework-0.5
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/test-framework-0.5
              /usr/local/lib
hs-libraries: HStest-framework-0.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: ansi-terminal-0.5.5-572a1d0154fb2632bb4e9431adf0cdb1
         ansi-wl-pprint-0.6.4-89d8ddbf9d6cddfc2dbcc203c0066c3c
         base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         containers-0.4.0.0-8781485edb2ac0db733a9f9c72e27945
         extensible-exceptions-0.1.1.2-d8c5b906654260efd7249f497d17a831
         hostname-1.0-c77e46815836076c00f81c07da3767a7
         old-locale-1.0.0.2-cc522edd16b73a70b897598c5f5d20c7
         random-1.0.0.3-15ae8b1458485ee9647f74174e442c33
         regex-posix-0.95.1-d6ce1a70229679d168844ebcf48c6140
         time-1.2.0.3-4f1bed38bdf37d398ba8f4311cbdac4a
         xml-1.3.12-97968cf51aa325ebc48823a392a094bf
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/test-framework-0.5/html/test-framework.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/test-framework-0.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
